import { SvgPath } from "./svg-path";
export type PixelOrPercent = {
    value: number;
    type: "px" | "%";
};
type PatternPart = {
    path: SvgPath;
    offset: PixelOrPercent;
    interval: PixelOrPercent;
    type: "F" | "T";
};
export type Pattern = "solid" | PatternPart[];
export declare function parsePattern(s: string): Pattern;
export declare function patternToString(pattern: Pattern): string;
export {};
